## org.dom4j.tree
Class ConcurrentReaderHashMap.BarrierLock

    java.lang.Object
      org.dom4j.tree.ConcurrentReaderHashMap.BarrierLock

All Implemented Interfaces:
  Serializable

Enclosing class:
  org.dom4j.tree.ConcurrentReaderHashMap

protected static class ConcurrentReaderHashMap.BarrierLock
extends Object
implements Serializable

A Serializable class for barrier lock *

See Also:
  Serialized Form

Constructor Summary
`protected` `ConcurrentReaderHashMap.BarrierLock()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcurrentReaderHashMap.BarrierLock

    protected ConcurrentReaderHashMap.BarrierLock()

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.